# PFAM
[SAMPLE]
accession java.lang.String PF00244

[TEST_DATUM]
PF00244

[CORE]
FIELD_ANNOTATION   SELECT short_description FROM PFAM__DATA WHERE CONCAT('PF',LPAD(id,5,'0'))='@FIELD_ACCESSION@'
FIELD_IDENTIFIER   SELECT name FROM PFAM__DATA WHERE CONCAT('PF',LPAD(id,5,'0'))='@FIELD_ACCESSION@'
FIELD_DESCRIPTION  SELECT comment FROM PFAM__DATA__$COMMENTS WHERE CONCAT('PF',LPAD(AK_PFAM__DATA__id,5,'0'))='@FIELD_ACCESSION@'
FIELD_ALIGNMENT    SELECT type FROM PFAM__$ALIGNMENTTYPES, PFAM__DATA WHERE CK_PFAM__$ALIGNMENTTYPES__id=PFAM__$ALIGNMENTTYPES.id AND CONCAT('PF',LPAD(PFAM__DATA.id,5,'0'))='@FIELD_ACCESSION@'
FIELD_TYPE         SELECT type FROM PFAM__$TYPES, PFAM__DATA WHERE CK_PFAM__$TYPES__id=PFAM__$TYPES.id AND CONCAT('PF',LPAD(PFAM__DATA.id,5,'0'))='@FIELD_ACCESSION@'

[LINKAGE_TO]
LINK_OMIM     SELECT DISTINCT FKDest__value AS accession FROM PFAM__DATA__LINKAGES$OMIM WHERE CONCAT('PF',LPAD(FKSrc__value,5,'0'))='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC
# LINK_SCOP     SELECT DISTINCT
LINK_PDB      SELECT DISTINCT FKDest__value AS accession, X_coord AS FIELD_X, Y_coord AS FIELD_Y, polymer_chain AS FIELD_CHAIN FROM PFAM__DATA__LINKAGES$PDB WHERE CONCAT('PF',LPAD(FKSrc__value,5,'0'))='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC
LINK_MEDLINE  SELECT DISTINCT FKDest__value FROM PFAM__DATA__LINKAGES$MEDLINE WHERE CONCAT('PF',LPAD(FKSrc__value,5,'0'))='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC
LINK_CAZY     SELECT DISTINCT FKDest__value FROM PFAM__DATA__LINKAGES$CAZY WHERE CONCAT('PF',LPAD(FKSrc__value,5,'0'))='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC
LINK_HOMSTRAD SELECT DISTINCT FKDest__value FROM PFAM__DATA__LINKAGES$HOMSTRAD WHERE CONCAT('PF',LPAD(FKSrc__value,5,'0'))='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC
LINK_INTERPRO SELECT DISTINCT FKDest__value FROM PFAM__DATA__LINKAGES$INTERPRO WHERE CONCAT('PF',LPAD(FKSrc__value,5,'0'))='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC
LINK_LOAD     SELECT DISTINCT FKDest__value FROM PFAM__DATA__LINKAGES$LOAD WHERE CONCAT('PF',LPAD(FKSrc__value,5,'0'))='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC
# Note: there is a coordinate in the LOAD database representation. What is it?
LINK_MEROPS   SELECT DISTINCT FKDest__value FROM PFAM__DATA__LINKAGES$MEROPS WHERE CONCAT('PF',LPAD(FKSrc__value,5,'0'))='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC
LINK_PRINTS   SELECT DISTINCT FKDest__value FROM PFAM__DATA__LINKAGES$PRINTS WHERE CONCAT('PF',LPAD(FKSrc__value,5,'0'))='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC
LINK_PROSITE  SELECT DISTINCT FKDest__value FROM PFAM__DATA__LINKAGES$PROSITE WHERE CONCAT('PF',LPAD(FKSrc__value,5,'0'))='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC
LINK_SMART    SELECT DISTINCT FKDest__value FROM PFAM__DATA__LINKAGES$SMART WHERE CONCAT('PF',LPAD(FKSrc__value,5,'0'))='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC

[LINKAGE_FROM]
LINK_OMIM     SELECT DISTINCT CONCAT('PF',LPAD(FKSrc__value,5,'0')) AS accession FROM PFAM__DATA__LINKAGES$OMIM WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY FKSrc__value ASC
# LINK_SCOP
LINK_PDB      SELECT DISTINCT CONCAT('PF',LPAD(FKSrc__value,5,'0')) AS accession, X_coord AS FIELD_X, Y_coord AS FIELD_Y, polymer_chain AS FIELD_CHAIN FROM PFAM__DATA__LINKAGES$PDB WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY accession ASC
LINK_MEDLINE  SELECT DISTINCT CONCAT('PF',LPAD(FKSrc__value,5,'0')) AS accession FROM PFAM__DATA__LINKAGES$MEDLINE WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY accession ASC
LINK_CAZY     SELECT DISTINCT CONCAT('PF',LPAD(FKSrc__value,5,'0')) AS accession FROM PFAM__DATA__LINKAGES$CAZY WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY accession ASC
LINK_HOMSTRAD SELECT DISTINCT CONCAT('PF',LPAD(FKSrc__value,5,'0')) AS accession FROM PFAM__DATA__LINKAGES$HOMSTRAD WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY accession ASC
LINK_INTERPRO SELECT DISTINCT CONCAT('PF',LPAD(FKSrc__value,5,'0')) AS accession FROM PFAM__DATA__LINKAGES$INTERPRO WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY accession ASC
LINK_LOAD     SELECT DISTINCT CONCAT('PF',LPAD(FKSrc__value,5,'0')) AS accession FROM PFAM__DATA__LINKAGES$LOAD WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY accession ASC
LINK_MEROPS   SELECT DISTINCT CONCAT('PF',LPAD(FKSrc__value,5,'0')) AS accession FROM PFAM__DATA__LINKAGES$MEROPS WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY accession ASC
LINK_PRINTS   SELECT DISTINCT CONCAT('PF',LPAD(FKSrc__value,5,'0')) AS accession FROM PFAM__DATA__LINKAGES$PRINTS WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY accession ASC
LINK_PROSITE  SELECT DISTINCT CONCAT('PF',LPAD(FKSrc__value,5,'0')) AS accession FROM PFAM__DATA__LINKAGES$PROSITE WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY accession ASC
LINK_SMART    SELECT DISTINCT CONCAT('PF',LPAD(FKSrc__value,5,'0')) AS accession FROM PFAM__DATA__LINKAGES$SMART WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY accession ASC

[KEYWORD]
FIELD_ACCESSION   SELECT CONCAT('PF',LPAD(id,5,'0')) FROM PFAM__DATA WHERE %CONCAT('PF',LPAD(id,5,'0'))% LIKE '@keyword@' ORDER BY id ASC
FIELD_ANNOTATION  SELECT CONCAT('PF',LPAD(id,5,'0')) FROM PFAM__DATA WHERE %short_description% LIKE '@keyword@' ORDER BY id ASC
FIELD_DESCRIPTION SELECT CONCAT('PF',LPAD(AK_PFAM__DATA__id,5,'0')) AS accession FROM PFAM__DATA__$COMMENTS WHERE %comment% LIKE '@keyword@' ORDER BY accession ASC
FIELD_ALIGNMENT   SELECT CONCAT('PF',LPAD(PFAM__DATA.id,5,'0')) AS accession FROM PFAM__$ALIGNMENTTYPES, PFAM__DATA WHERE CK_PFAM__$ALIGNMENTTYPES__id=PFAM__$ALIGNMENTTYPES.id AND %type% LIKE '@keyword@' ORDER BY accession ASC
FIELD_TYPE        SELECT CONCAT('PF',LPAD(PFAM__DATA.id,5,'0')) AS accession FROM PFAM__$TYPES, PFAM__DATA WHERE CK_PFAM__$TYPES__id=PFAM__$TYPES.id AND %type% LIKE '@keyword@' ORDER BY accession ASC
