# TRANSFAC_GENE
[SAMPLE]
FIELD_ACCESSION java.lang.String G000001

[CORE]
FIELD_ANNOTATION  SELECT description FROM TRANSFAC__DATA__$GENE_DESCRIPTION WHERE AK_TRANSFAC__DATA__$GENE__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$GENE__acc
FIELD_CHROMOSOME  SELECT locus FROM TRANSFAC__DATA__$GENE_CHROMOSOMES WHERE AK_TRANSFAC__DATA__$GENE__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$GENE__acc
FIELD_INFO        SELECT CONCAT( date,' ',info,' by ',author ) FROM TRANSFAC__DATA__$GENE_INFO WHERE AK_TRANSFAC__DATA__$GENE__acc='@FIELD_ACCESSION@'
FIELD_NAME        SELECT name FROM TRANSFAC__DATA__$GENE_NAME WHERE AK_TRANSFAC__DATA__$GENE__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$GENE__acc
FIELD_REGULATION  SELECT comment FROM TRANSFAC__DATA__$GENE_REGULATION WHERE AK_TRANSFAC__DATA__$GENE__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$GENE__acc
FIELD_SYNONYMS    SELECT name FROM TRANSFAC__DATA__$GENE_SYNONYMS WHERE AK_TRANSFAC__DATA__$GENE__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$GENE__acc
FIELD_TAXONOMY    SELECT species FROM TRANSFAC__DATA__$GENE_TAXONOMY WHERE AK_TRANSFAC__DATA__$GENE__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$GENE__acc

[LINKAGE_TO]
#LINK_BRENDA
#LINK_EPD
LINK_LOCUSLINK               SELECT FKDest__value FROM TRANSFAC__DATA__LINKAGES$LOCUSLINK WHERE FKSrc__value='@FIELD_ACCESSION@'
LINK_OMIM                    SELECT FKDest__value FROM TRANSFAC__DATA__LINKAGES$OMIM WHERE FKSrc__value='@FIELD_ACCESSION@'
LINK_REFSEQ:HUMAN_REFSEQ     SELECT rd.id FROM REFSEQ__DATA AS rd, TRANSFAC__DATA__LINKAGES$REFSEQ AS tdl, REFSEQ__DATA__LINKAGES$TAXONOMY AS tax WHERE tdl.FKSrc__value='@FIELD_ACCESSION@' AND rd.accession=tdl.FKDest__value AND tax.FKSrc__value=rd.id AND tax.FKDest__value=9606 ORDER BY rd.id
LINK_REFSEQ:MOUSE_REFSEQ     SELECT rd.id FROM REFSEQ__DATA AS rd, TRANSFAC__DATA__LINKAGES$REFSEQ AS tdl, REFSEQ__DATA__LINKAGES$TAXONOMY AS tax WHERE tdl.FKSrc__value='@FIELD_ACCESSION@' AND rd.accession=tdl.FKDest__value AND tax.FKSrc__value=rd.id AND tax.FKDest__value=10090 ORDER BY rd.id
LINK_REFSEQ:FLY_REFSEQ       SELECT rd.id FROM REFSEQ__DATA AS rd, TRANSFAC__DATA__LINKAGES$REFSEQ AS tdl, REFSEQ__DATA__LINKAGES$TAXONOMY AS tax WHERE tdl.FKSrc__value='@FIELD_ACCESSION@' AND rd.accession=tdl.FKDest__value AND tax.FKSrc__value=rd.id AND tax.FKDest__value=7227 ORDER BY rd.id
LINK_REFSEQ:RAT_REFSEQ       SELECT rd.id FROM REFSEQ__DATA AS rd, TRANSFAC__DATA__LINKAGES$REFSEQ AS tdl, REFSEQ__DATA__LINKAGES$TAXONOMY AS tax WHERE tdl.FKSrc__value='@FIELD_ACCESSION@' AND rd.accession=tdl.FKDest__value AND tax.FKSrc__value=rd.id AND tax.FKDest__value=10116 ORDER BY rd.id
LINK_REFSEQ:ZEBRAFISH_REFSEQ SELECT rd.id FROM REFSEQ__DATA AS rd, TRANSFAC__DATA__LINKAGES$REFSEQ AS tdl, REFSEQ__DATA__LINKAGES$TAXONOMY AS tax WHERE tdl.FKSrc__value='@FIELD_ACCESSION@' AND rd.accession=tdl.FKDest__value AND tax.FKSrc__value=rd.id AND tax.FKDest__value=7995 ORDER BY rd.id
#LINK_TRANSPRO
#LINK_TRRD

[LINKAGE_FROM]
#LINK_BRENDA
#LINK_EPD
LINK_LOCUSLINK               SELECT FKSrc__value FROM TRANSFAC__DATA__LINKAGES$LOCUSLINK WHERE FKDest__value='@FIELD_ACCESSION@'
LINK_OMIM                    SELECT FKSrc__value FROM TRANSFAC__DATA__LINKAGES$OMIM WHERE FKDest__value='@FIELD_ACCESSION@'
LINK_REFSEQ:HUMAN_REFSEQ     SELECT tdl.FKSrc__value FROM REFSEQ__DATA AS rd, TRANSFAC__DATA__LINKAGES$REFSEQ AS tdl, REFSEQ__DATA__LINKAGES$TAXONOMY AS tax WHERE rd.id='@FIELD_ACCESSION@' AND rd.accession=tdl.FKDest__value AND tax.FKSrc__value=rd.id AND tax.FKDest__value=9606 ORDER BY rd.id
LINK_REFSEQ:MOUSE_REFSEQ     SELECT tdl.FKSrc__value FROM REFSEQ__DATA AS rd, TRANSFAC__DATA__LINKAGES$REFSEQ AS tdl, REFSEQ__DATA__LINKAGES$TAXONOMY AS tax WHERE rd.id='@FIELD_ACCESSION@' AND rd.accession=tdl.FKDest__value AND tax.FKSrc__value=rd.id AND tax.FKDest__value=10090 ORDER BY rd.id
LINK_REFSEQ:FLY_REFSEQ       SELECT tdl.FKSrc__value FROM REFSEQ__DATA AS rd, TRANSFAC__DATA__LINKAGES$REFSEQ AS tdl, REFSEQ__DATA__LINKAGES$TAXONOMY AS tax WHERE rd.id='@FIELD_ACCESSION@' AND rd.accession=tdl.FKDest__value AND tax.FKSrc__value=rd.id AND tax.FKDest__value=7227 ORDER BY rd.id
LINK_REFSEQ:RAT_REFSEQ       SELECT tdl.FKSrc__value FROM REFSEQ__DATA AS rd, TRANSFAC__DATA__LINKAGES$REFSEQ AS tdl, REFSEQ__DATA__LINKAGES$TAXONOMY AS tax WHERE rd.id='@FIELD_ACCESSION@' AND rd.accession=tdl.FKDest__value AND tax.FKSrc__value=rd.id AND tax.FKDest__value=10116 ORDER BY rd.id
LINK_REFSEQ:ZEBRAFISH_REFSEQ SELECT tdl.FKSrc__value FROM REFSEQ__DATA AS rd, TRANSFAC__DATA__LINKAGES$REFSEQ AS tdl, REFSEQ__DATA__LINKAGES$TAXONOMY AS tax WHERE rd.id='@FIELD_ACCESSION@' AND rd.accession=tdl.FKDest__value AND tax.FKSrc__value=rd.id AND tax.FKDest__value=7995 ORDER BY rd.id
#LINK_TRANSPRO
#LINK_TRRD

[KEYWORD]
FIELD_ACCESSION   SELECT DISTINCT acc FROM TRANSFAC__DATA__$GENE WHERE %acc% LIKE '@keyword@' ORDER BY acc
FIELD_ANNOTATION  SELECT DISTINCT AK_TRANSFAC__DATA__$GENE__acc FROM TRANSFAC__DATA__$GENE_DESCRIPTION WHERE %description% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$GENE__acc
FIELD_CHROMOSOME  SELECT DISTINCT AK_TRANSFAC__DATA__$GENE__acc FROM TRANSFAC__DATA__$GENE_CHROMOSOMES WHERE %locus% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$GENE__acc
FIELD_INFO        SELECT DISTINCT AK_TRANSFAC__DATA__$GENE__acc FROM TRANSFAC__DATA__$GENE_INFO WHERE %CONCAT( date,' ',info,' by ',author )% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$GENE__acc='@FIELD_ACCESSION@'
FIELD_NAME        SELECT DISTINCT AK_TRANSFAC__DATA__$GENE__acc FROM TRANSFAC__DATA__$GENE_NAME WHERE %name% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$GENE__acc
FIELD_REGULATION  SELECT DISTINCT AK_TRANSFAC__DATA__$GENE__acc FROM TRANSFAC__DATA__$GENE_REGULATION WHERE %comment% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$GENE__acc
FIELD_SYNONYMS    SELECT DISTINCT AK_TRANSFAC__DATA__$GENE__acc FROM TRANSFAC__DATA__$GENE_SYNONYMS WHERE %name% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$GENE__acc
FIELD_TAXONOMY    SELECT DISTINCT AK_TRANSFAC__DATA__$GENE__acc FROM TRANSFAC__DATA__$GENE_TAXONOMY WHERE %species% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$GENE__acc
